Apply by doing:
	cd /usr/src
	patch -p0 < 011_sudo.patch

And then rebuild and install sudo:
	cd usr.bin/sudo
	make depend
	make
	make install

Index: usr.bin/sudo/parse.c
===================================================================
RCS file: /cvs/src/usr.bin/sudo/parse.c,v
retrieving revision 1.19
diff -u -r1.19 parse.c
--- usr.bin/sudo/parse.c	31 Jul 2008 16:44:03 -0000	1.19
+++ usr.bin/sudo/parse.c	22 Feb 2009 21:36:33 -0000
@@ -621,9 +621,11 @@
     /*
      * If the user has a supplementary group vector, check it first.
      */
-    for (i = 0; i < user_ngroups; i++) {
-	if (grp->gr_gid == user_groups[i])
-	    return(TRUE);
+    if (strcmp(user, user_name) == 0) {
+	for (i = 0; i < user_ngroups; i++) {
+	    if (grp->gr_gid == user_groups[i])
+		return(TRUE);
+	}
     }
     if (grp->gr_mem != NULL) {
 	for (cur = grp->gr_mem; *cur; cur++) {
